#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
@author: JM
"""


class Branch:
    """
    Class to store data about a given branch.
    """
    nbBranch = 0

    def __init__(self, literals, value):
        """
        Construct a problem.
        Attributes:
        ----------
        literals : list
            gives the literals present on the branch.
        value : float
            gives the value associated with the branch.        
        """
        self.literals = literals
        self.value = value
        self.id = Branch.nbBranch
        Branch.nbBranch += 1

    def display(self):
        """
        Display information about the problem.
        """
        print(self.value, ":", self.literals)

    def getLiterals(self):
        """        
        :returns: the literals on the branch.
        :rtype: List(int)
        """
        return self.literals

    def getValue(self):
        """        
        :returns: the value associated with the branch.
        :rtype: float
        """
        return self.value

    def getId(self):
        """        
        :returns: the id associated with the branch.
        :rtype: int
        """
        return self.id
